Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.richfaces.component.html
Class HtmlSuggestionBox

    java.lang.Object
      javax.faces.component.UIComponent
          javax.faces.component.UIComponentBase
              javax.faces.component.UIData
                  org.richfaces.component.UISuggestionBox
                      org.richfaces.component.html.HtmlSuggestionBox

All Implemented Interfaces:
  javax.faces.component.NamingContainer, javax.faces.component.StateHolder, org.ajax4jsf.component.AjaxComponent, org.ajax4jsf.event.AjaxSource

    public class HtmlSuggestionBox

extends UISuggestionBox

Component-Type org.richfaces.SuggestionBox Component-Family org.richfaces.SuggestionBox Renderer-Type org.richfaces.SuggestionBox This element adds "on-keypress" suggestions capabilites to any input text component (like &lt;h:inputText&gt;). It creates a pop-up window for a input field component pointed to by the "for" attribute. For an ordinary request, render a hidden HTML &lt;div&gt; element and the necessary JavaScript code. When input to the target field exceeds the "minChars" property (default is 1), perform an AJAX request with the value current entered. If the AJAX request is detected and the request parameters map contains the client ID of this component, call a method defined by suggestionAction, and use it to return a value as data for render table, same as &lt;h:dataTable&gt;. In this case, the component then works the same as an ordinary dataTable. The rendered table is inserted in the pop-up area and is used for suggestion prompts for input element. If a user clicks on such a table row, its text (or value defined by fetchValue) is inserted as the value of the input field.

Field Summary
`static java.lang.String` | `COMPONENT_FAMILY`
`static java.lang.String` | `COMPONENT_TYPE`

Fields inherited from interface org.ajax4jsf.component.AjaxComponent
`AJAX_COMPONETT_PARAMETER`

Fields inherited from interface javax.faces.component.NamingContainer
`SEPARATOR_CHAR`

Constructor Summary
`HtmlSuggestionBox()` Constructor to init default renderers

Method Summary
`java.lang.String` | `getAlign()` align Getter for align
`java.lang.String` | `getBgcolor()` Deprecated.
`java.lang.String` | `getBorder()` This attributes specifies the width (in pixels only) of the frame around a table Getter for border
`java.lang.String` | `getCellpadding()` This attribute specifies the amount of space between the border of the cell and its contents.
`java.lang.String` | `getCellspacing()` This attribute specifies how much space the user agent should leave between the table and the column on all four sides.
`javax.faces.convert.Converter` | `getConverter()` Id of Converter to be used or reference to a Converter Getter for converter
`java.lang.Object` | `getData()` Serialized (on default with JSON) data passed on the client by a developer on AJAX request.
`java.lang.String` | `getDir()` Direction indication for text that does not inherit directionality.
`java.lang.String` | `getEntryClass()` Name of the CSS class for a suggestion entry element (table row) Getter for entryClass
`java.lang.String` | `getEventsQueue()` Name of requests queue to avoid send next request before complete other from same event.
`java.lang.String` | `getFamily()`
`java.lang.Object` | `getFetchValue()` A value to set in the target input element on a choice suggestion that isn't shown in the suggestion table.
`java.lang.String` | `getFocus()` id of element to set focus after request completed on client side Getter for focus
`java.lang.String` | `getFor()` id (or full path of id's) of target components, for which this element must provide support.
`java.lang.String` | `getFrame()` void|above|below|hsides|lhs|rhs|vsides|box|border [CI] This attribute specifies which sides of the frame surrounding a table will be visible.
`double` | `getFrequency()` Delay (in seconds) before activating the suggestion pop-up Getter for frequency
`java.lang.String` | `getHeight()` Height of the pop-up window in pixels Getter for height
`java.lang.String` | `getLang()` Code describing the language used in the generated markup for this component Getter for lang
`java.lang.String` | `getMinChars()` Minimal number of chars in input to activate suggestion pop-up Getter for minChars
`java.lang.String` | `getNothingLabel()` "nothingLabel" is inserted to popup list if the autocomplete returns empty list.
`java.lang.String` | `getOnbeforedomupdate()` JavaScript code for call before DOM has been updated on client side Getter for onbeforedomupdate
`java.lang.String` | `getOncomplete()` JavaScript code for call after request completed on client side Getter for oncomplete
`java.lang.String` | `getOnselect()` JavaScript code for call on select suggestion, after update value of target element Getter for onselect
`java.lang.String` | `getOnsubmit()` JavaScript code for call before submission of ajax event Getter for onsubmit
`java.lang.String` | `getParam()` Name the HTTP request parameter with the value of input element token.
`java.lang.String` | `getPopupClass()` HTML CSS class attribute of element for pop-up suggestion content Getter for popupClass
`java.lang.String` | `getPopupStyle()` HTML CSS style attribute of element for pop-up suggestion content Getter for popupStyle
`int` | `getRequestDelay()` Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send.
`java.lang.Object` | `getReRender()` Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component.
`java.lang.String` | `getRowClasses()` A comma-delimited list of CSS style classes that is applied to popup table rows.
`java.lang.String` | `getRules()` This attribute specifies which rules will appear between cells within a table.
`java.lang.String` | `getSelectedClass()` Name of the CSS class for a selected suggestion entry element (table row) Getter for selectedClass
`java.lang.String` | `getSelectValueClass()` Name of the CSS class for a selected suggestion entry element (table cell) Getter for selectValueClass
`java.lang.String` | `getShadowDepth()` Pop-up shadow depth for suggestion content Getter for shadowDepth
`java.lang.String` | `getShadowOpacity()` Attribute defines shadow opacity for suggestion content Getter for shadowOpacity
`java.lang.String` | `getStatus()` ID (in format of call UIComponent.findComponent()) of Request status component Getter for status
`java.lang.String` | `getStyle()` CSS style(s) is/are to be applied when this component is rendered Getter for style
`java.lang.String` | `getStyleClass()` Corresponds to the HTML class attribute Getter for styleClass
`java.lang.Object` | `getSubmitedValue()` submitedValue Getter for submitedValue
`javax.faces.el.MethodBinding` | `getSuggestionAction()` Method calls an expression to get a collection of suggestion data on request.
`java.lang.String` | `getSummary()` This attribute provides a summary of the table's purpose and structure for user agents rendering to non-visual media such as speech and Braille Getter for summary
`int` | `getTimeout()` Response waiting time on a particular request.
`java.lang.String` | `getTitle()` Advisory title information about markup elements generated for this component Getter for title
`java.lang.Object` | `getTokens()` The list (or single value) of symbols which can be used for division chosen of suggestion pop-up values in a target element.
`java.lang.String` | `getWidth()` Width of the pop-up window in pixels Getter for width
`int` | `getZindex()` Attribute is similar to the standard HTML attribute and can specify window placement relative to the content Getter for zindex
`boolean` | `isAjaxSingle()` if "true", submit ONLY one field/link, instead of all form controls Getter for ajaxSingle
`boolean` | `isBypassUpdates()` If "true", after process validations phase it skips updates of model beans on a force render response.
`boolean` | `isIgnoreDupResponses()` Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already. ignoreDupResponses="true" does not cancel the request while it is processed on the server, but just allows to avoid unnecessary updates on the client side if the response isn't actual now Getter for ignoreDupResponses
`boolean` | `isImmediate()` A flag indicating that this component value must be converted and validated immediately (that is, during Apply Request Values phase), rather than waiting until a Process Validations phase.
`boolean` | `isLimitToList()` If "true", updates on client side ONLY elements from this 'reRender' property.
`boolean` | `isSelfRendered()` If "true", forces active Ajax region render response directly from stored components tree, bypasses page processing.
`void` | `restoreState(javax.faces.context.FacesContext context, java.lang.Object state)`
`java.lang.Object` | `saveState(javax.faces.context.FacesContext context)`
`void` | `setAjaxSingle(boolean __ajaxSingle)` if "true", submit ONLY one field/link, instead of all form controls Setter for ajaxSingle
`void` | `setAlign(java.lang.String __align)` align Setter for align
`void` | `setBgcolor(java.lang.String __bgcolor)` Deprecated.
`void` | `setBorder(java.lang.String __border)` This attributes specifies the width (in pixels only) of the frame around a table Setter for border
`void` | `setBypassUpdates(boolean __bypassUpdates)` If "true", after process validations phase it skips updates of model beans on a force render response.
`void` | `setCellpadding(java.lang.String __cellpadding)` This attribute specifies the amount of space between the border of the cell and its contents.
`void` | `setCellspacing(java.lang.String __cellspacing)` This attribute specifies how much space the user agent should leave between the table and the column on all four sides.
`void` | `setConverter(javax.faces.convert.Converter __converter)` Id of Converter to be used or reference to a Converter Setter for converter
`void` | `setData(java.lang.Object __data)` Serialized (on default with JSON) data passed on the client by a developer on AJAX request.
`void` | `setDir(java.lang.String __dir)` Direction indication for text that does not inherit directionality.
`void` | `setEntryClass(java.lang.String __entryClass)` Name of the CSS class for a suggestion entry element (table row) Setter for entryClass
`void` | `setEventsQueue(java.lang.String __eventsQueue)` Name of requests queue to avoid send next request before complete other from same event.
`void` | `setFetchValue(java.lang.Object __fetchValue)` A value to set in the target input element on a choice suggestion that isn't shown in the suggestion table.
`void` | `setFocus(java.lang.String __focus)` id of element to set focus after request completed on client side Setter for focus
`void` | `setFor(java.lang.String __for)` id (or full path of id's) of target components, for which this element must provide support.
`void` | `setFrame(java.lang.String __frame)` void|above|below|hsides|lhs|rhs|vsides|box|border [CI] This attribute specifies which sides of the frame surrounding a table will be visible.
`void` | `setFrequency(double __frequency)` Delay (in seconds) before activating the suggestion pop-up Setter for frequency
`void` | `setHeight(java.lang.String __height)` Height of the pop-up window in pixels Setter for height
`void` | `setIgnoreDupResponses(boolean __ignoreDupResponses)` Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already. ignoreDupResponses="true" does not cancel the request while it is processed on the server, but just allows to avoid unnecessary updates on the client side if the response isn't actual now Setter for ignoreDupResponses
`void` | `setImmediate(boolean __immediate)` A flag indicating that this component value must be converted and validated immediately (that is, during Apply Request Values phase), rather than waiting until a Process Validations phase.
`void` | `setLang(java.lang.String __lang)` Code describing the language used in the generated markup for this component Setter for lang
`void` | `setLimitToList(boolean __limitToList)` If "true", updates on client side ONLY elements from this 'reRender' property.
`void` | `setMinChars(java.lang.String __minChars)` Minimal number of chars in input to activate suggestion pop-up Setter for minChars
`void` | `setNothingLabel(java.lang.String __nothingLabel)` "nothingLabel" is inserted to popup list if the autocomplete returns empty list.
`void` | `setOnbeforedomupdate(java.lang.String __onbeforedomupdate)` JavaScript code for call before DOM has been updated on client side Setter for onbeforedomupdate
`void` | `setOncomplete(java.lang.String __oncomplete)` JavaScript code for call after request completed on client side Setter for oncomplete
`void` | `setOnselect(java.lang.String __onselect)` JavaScript code for call on select suggestion, after update value of target element Setter for onselect
`void` | `setOnsubmit(java.lang.String __onsubmit)` JavaScript code for call before submission of ajax event Setter for onsubmit
`void` | `setParam(java.lang.String __param)` Name the HTTP request parameter with the value of input element token.
`void` | `setPopupClass(java.lang.String __popupClass)` HTML CSS class attribute of element for pop-up suggestion content Setter for popupClass
`void` | `setPopupStyle(java.lang.String __popupStyle)` HTML CSS style attribute of element for pop-up suggestion content Setter for popupStyle
`void` | `setRequestDelay(int __requestDelay)` Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send.
`void` | `setReRender(java.lang.Object __reRender)` Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component.
`void` | `setRowClasses(java.lang.String __rowClasses)` A comma-delimited list of CSS style classes that is applied to popup table rows.
`void` | `setRules(java.lang.String __rules)` This attribute specifies which rules will appear between cells within a table.
`void` | `setSelectedClass(java.lang.String __selectedClass)` Name of the CSS class for a selected suggestion entry element (table row) Setter for selectedClass
`void` | `setSelectValueClass(java.lang.String __selectValueClass)` Name of the CSS class for a selected suggestion entry element (table cell) Setter for selectValueClass
`void` | `setSelfRendered(boolean __selfRendered)` If "true", forces active Ajax region render response directly from stored components tree, bypasses page processing.
`void` | `setShadowDepth(java.lang.String __shadowDepth)` Pop-up shadow depth for suggestion content Setter for shadowDepth
`void` | `setShadowOpacity(java.lang.String __shadowOpacity)` Attribute defines shadow opacity for suggestion content Setter for shadowOpacity
`void` | `setStatus(java.lang.String __status)` ID (in format of call UIComponent.findComponent()) of Request status component Setter for status
`void` | `setStyle(java.lang.String __style)` CSS style(s) is/are to be applied when this component is rendered Setter for style
`void` | `setStyleClass(java.lang.String __styleClass)` Corresponds to the HTML class attribute Setter for styleClass
`void` | `setSubmitedValue(java.lang.Object __submitedValue)` submitedValue Setter for submitedValue
`void` | `setSuggestionAction(javax.faces.el.MethodBinding __suggestionAction)` Method calls an expression to get a collection of suggestion data on request.
`void` | `setSummary(java.lang.String __summary)` This attribute provides a summary of the table's purpose and structure for user agents rendering to non-visual media such as speech and Braille Setter for summary
`void` | `setTimeout(int __timeout)` Response waiting time on a particular request.
`void` | `setTitle(java.lang.String __title)` Advisory title information about markup elements generated for this component Setter for title
`void` | `setTokens(java.lang.Object __tokens)` The list (or single value) of symbols which can be used for division chosen of suggestion pop-up values in a target element.
`void` | `setWidth(java.lang.String __width)` Width of the pop-up window in pixels Setter for width
`void` | `setZindex(int __zindex)` Attribute is similar to the standard HTML attribute and can specify window placement relative to the content Setter for zindex

Methods inherited from class org.richfaces.component.UISuggestionBox
`addAjaxListener, broadcast, getAjaxListeners, getRowNumber, isSubmitted, processDecodes, queueEvent, removeAjaxListener, setRowNumber, setSubmitted, setupValue`

Methods inherited from class javax.faces.component.UIData
`encodeBegin, getClientId, getFirst, getFooter, getHeader, getRowCount, getRowData, getRowIndex, getRows, getValue, getVar, isRowAvailable, processUpdates, processValidators, setFirst, setFooter, setHeader, setRowIndex, setRows, setValue, setValueBinding, setVar`

Methods inherited from class javax.faces.component.UIComponentBase
`addFacesListener, decode, encodeChildren, encodeEnd, findComponent, getAttributes, getChildCount, getChildren, getFacesContext, getFacesListeners, getFacet, getFacets, getFacetsAndChildren, getId, getParent, getRenderer, getRendererType, getRendersChildren, getValueBinding, isRendered, isTransient, processRestoreState, processSaveState, removeFacesListener, restoreAttachedState, saveAttachedState, setId, setParent, setRendered, setRendererType, setTransient`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### COMPONENT_TYPE

    public static final java.lang.String COMPONENT_TYPE

See Also:
  Constant Field Values

### COMPONENT_FAMILY

    public static final java.lang.String COMPONENT_FAMILY

See Also:
  Constant Field Values

Constructor Detail

### HtmlSuggestionBox

    public HtmlSuggestionBox()

  Constructor to init default renderers

Method Detail

### setAjaxSingle

    public void setAjaxSingle(boolean __ajaxSingle)

  if "true", submit ONLY one field/link, instead of all form controls Setter for ajaxSingle

  Parameters:
    `ajaxSingle` - - new value

### isAjaxSingle

    public boolean isAjaxSingle()

  if "true", submit ONLY one field/link, instead of all form controls Getter for ajaxSingle

  Returns:
    ajaxSingle value from local variable or value bindings

### setAlign

    public void setAlign(java.lang.String __align)

  align Setter for align

  Parameters:
    `align` - - new value

### getAlign

    public java.lang.String getAlign()

  align Getter for align

  Returns:
    align value from local variable or value bindings

### setBgcolor

    public void setBgcolor(java.lang.String __bgcolor)

  Deprecated. This attribute sets the background color for the document body or table cells. This attribute sets the background color of the canvas for the document body (the BODY element) or for tables (the TABLE, TR, TH, and TD elements). Additional attributes for specifying text color can be used with the BODY element. This attribute has been deprecated in favor of style sheets for specifying background color information Setter for bgcolor

  Parameters:
    `bgcolor` - - new value

### getBgcolor

    public java.lang.String getBgcolor()

  Deprecated. This attribute sets the background color for the document body or table cells. This attribute sets the background color of the canvas for the document body (the BODY element) or for tables (the TABLE, TR, TH, and TD elements). Additional attributes for specifying text color can be used with the BODY element. This attribute has been deprecated in favor of style sheets for specifying background color information Getter for bgcolor

  Returns:
    bgcolor value from local variable or value bindings

### setBorder

    public void setBorder(java.lang.String __border)

  This attributes specifies the width (in pixels only) of the frame around a table Setter for border

  Specified by:
    `setBorder` in class `UISuggestionBox`
  Parameters:
    `border` - - new value

### getBorder

    public java.lang.String getBorder()

  This attributes specifies the width (in pixels only) of the frame around a table Getter for border

  Specified by:
    `getBorder` in class `UISuggestionBox`
  Returns:
    border value from local variable or value bindings

### setBypassUpdates

    public void setBypassUpdates(boolean __bypassUpdates)

  If "true", after process validations phase it skips updates of model beans on a force render response. It can be used for validating components input Setter for bypassUpdates

  Parameters:
    `bypassUpdates` - - new value

### isBypassUpdates

    public boolean isBypassUpdates()

  If "true", after process validations phase it skips updates of model beans on a force render response. It can be used for validating components input Getter for bypassUpdates

  Returns:
    bypassUpdates value from local variable or value bindings

### setCellpadding

    public void setCellpadding(java.lang.String __cellpadding)

  This attribute specifies the amount of space between the border of the cell and its contents. If the value of this attribute is a pixel length, all four margins should be this distance from the contents. If the value of the attribute is percentage length, the top and bottom margins should be equally separated from the content based on percentage of the available vertical space, and the left and right margins should be equally separated from the content based on percentage of the available horizontal space Setter for cellpadding

  Specified by:
    `setCellpadding` in class `UISuggestionBox`
  Parameters:
    `cellpadding` - - new value

### getCellpadding

    public java.lang.String getCellpadding()

  This attribute specifies the amount of space between the border of the cell and its contents. If the value of this attribute is a pixel length, all four margins should be this distance from the contents. If the value of the attribute is percentage length, the top and bottom margins should be equally separated from the content based on percentage of the available vertical space, and the left and right margins should be equally separated from the content based on percentage of the available horizontal space Getter for cellpadding

  Specified by:
    `getCellpadding` in class `UISuggestionBox`
  Returns:
    cellpadding value from local variable or value bindings

### setCellspacing

    public void setCellspacing(java.lang.String __cellspacing)

  This attribute specifies how much space the user agent should leave between the table and the column on all four sides. The attribute also specifies the amount of space to leave between cells Setter for cellspacing

  Parameters:
    `cellspacing` - - new value

### getCellspacing

    public java.lang.String getCellspacing()

  This attribute specifies how much space the user agent should leave between the table and the column on all four sides. The attribute also specifies the amount of space to leave between cells Getter for cellspacing

  Returns:
    cellspacing value from local variable or value bindings

### setConverter

    public void setConverter(javax.faces.convert.Converter __converter)

  Id of Converter to be used or reference to a Converter Setter for converter

  Specified by:
    `setConverter` in class `UISuggestionBox`
  Parameters:
    `converter` - - new value

### getConverter

    public javax.faces.convert.Converter getConverter()

  Id of Converter to be used or reference to a Converter Getter for converter

  Specified by:
    `getConverter` in class `UISuggestionBox`
  Returns:
    converter value from local variable or value bindings

### setData

    public void setData(java.lang.Object __data)

  Serialized (on default with JSON) data passed on the client by a developer on AJAX request. It's accessible via "data.foo" syntax Setter for data

  Parameters:
    `data` - - new value

### getData

    public java.lang.Object getData()

  Serialized (on default with JSON) data passed on the client by a developer on AJAX request. It's accessible via "data.foo" syntax Getter for data

  Returns:
    data value from local variable or value bindings

### setDir

    public void setDir(java.lang.String __dir)

  Direction indication for text that does not inherit directionality. Valid values are "LTR" (left-to-right) and "RTL" (right-to-left) Setter for dir

  Parameters:
    `dir` - - new value

### getDir

    public java.lang.String getDir()

  Direction indication for text that does not inherit directionality. Valid values are "LTR" (left-to-right) and "RTL" (right-to-left) Getter for dir

  Returns:
    dir value from local variable or value bindings

### setEntryClass

    public void setEntryClass(java.lang.String __entryClass)

  Name of the CSS class for a suggestion entry element (table row) Setter for entryClass

  Specified by:
    `setEntryClass` in class `UISuggestionBox`
  Parameters:
    `entryClass` - - new value

### getEntryClass

    public java.lang.String getEntryClass()

  Name of the CSS class for a suggestion entry element (table row) Getter for entryClass

  Specified by:
    `getEntryClass` in class `UISuggestionBox`
  Returns:
    entryClass value from local variable or value bindings

### setEventsQueue

    public void setEventsQueue(java.lang.String __eventsQueue)

  Name of requests queue to avoid send next request before complete other from same event. Can be used to reduce number of requests of frequently events (key press, mouse move etc.) Setter for eventsQueue

  Parameters:
    `eventsQueue` - - new value

### getEventsQueue

    public java.lang.String getEventsQueue()

  Name of requests queue to avoid send next request before complete other from same event. Can be used to reduce number of requests of frequently events (key press, mouse move etc.) Getter for eventsQueue

  Returns:
    eventsQueue value from local variable or value bindings

### setFetchValue

    public void setFetchValue(java.lang.Object __fetchValue)

  A value to set in the target input element on a choice suggestion that isn't shown in the suggestion table. It can be used for descriptive output comments or suggestions. If not set, all text in the suggestion row is set as a value Setter for fetchValue

  Parameters:
    `fetchValue` - - new value

### getFetchValue

    public java.lang.Object getFetchValue()

  A value to set in the target input element on a choice suggestion that isn't shown in the suggestion table. It can be used for descriptive output comments or suggestions. If not set, all text in the suggestion row is set as a value Getter for fetchValue

  Returns:
    fetchValue value from local variable or value bindings

### setFocus

    public void setFocus(java.lang.String __focus)

  id of element to set focus after request completed on client side Setter for focus

  Parameters:
    `focus` - - new value

### getFocus

    public java.lang.String getFocus()

  id of element to set focus after request completed on client side Getter for focus

  Returns:
    focus value from local variable or value bindings

### setFor

    public void setFor(java.lang.String __for)

  id (or full path of id's) of target components, for which this element must provide support. If a target component inside of the same &lt;code&gt;NamingContainer&lt;/code&gt; (UIForm, UIData in base implementations), can be simple value of the "id" attribute. For other cases must include id's of &lt;code&gt;NamingContainer&lt;/code&gt; components, separated by ':'. For search from the root of components, must be started with ':'. Setter for for

  Specified by:
    `setFor` in class `UISuggestionBox`
  Parameters:
    `for` - - new value

### getFor

    public java.lang.String getFor()

  id (or full path of id's) of target components, for which this element must provide support. If a target component inside of the same &lt;code&gt;NamingContainer&lt;/code&gt; (UIForm, UIData in base implementations), can be simple value of the "id" attribute. For other cases must include id's of &lt;code&gt;NamingContainer&lt;/code&gt; components, separated by ':'. For search from the root of components, must be started with ':'. Getter for for

  Specified by:
    `getFor` in class `UISuggestionBox`
  Returns:
    for value from local variable or value bindings

### setFrame

    public void setFrame(java.lang.String __frame)

  void|above|below|hsides|lhs|rhs|vsides|box|border [CI] This attribute specifies which sides of the frame surrounding a table will be visible. Possible values: void: No sides. This is the default value. above: The top side only. below: The bottom side only. hsides: The top and bottom sides only. vsides: The right and left sides only. lhs: The left-hand side only. rhs: The right-hand side only. box: All four sides. border: All four sides Setter for frame

  Parameters:
    `frame` - - new value

### getFrame

    public java.lang.String getFrame()

  void|above|below|hsides|lhs|rhs|vsides|box|border [CI] This attribute specifies which sides of the frame surrounding a table will be visible. Possible values: void: No sides. This is the default value. above: The top side only. below: The bottom side only. hsides: The top and bottom sides only. vsides: The right and left sides only. lhs: The left-hand side only. rhs: The right-hand side only. box: All four sides. border: All four sides Getter for frame

  Returns:
    frame value from local variable or value bindings

### setFrequency

    public void setFrequency(double __frequency)

  Delay (in seconds) before activating the suggestion pop-up Setter for frequency

  Parameters:
    `frequency` - - new value

### getFrequency

    public double getFrequency()

  Delay (in seconds) before activating the suggestion pop-up Getter for frequency

  Returns:
    frequency value from local variable or value bindings

### setHeight

    public void setHeight(java.lang.String __height)

  Height of the pop-up window in pixels Setter for height

  Parameters:
    `height` - - new value

### getHeight

    public java.lang.String getHeight()

  Height of the pop-up window in pixels Getter for height

  Returns:
    height value from local variable or value bindings

### setIgnoreDupResponses

    public void setIgnoreDupResponses(boolean __ignoreDupResponses)

  Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already. ignoreDupResponses="true" does not cancel the request while it is processed on the server, but just allows to avoid unnecessary updates on the client side if the response isn't actual now Setter for ignoreDupResponses

  Parameters:
    `ignoreDupResponses` - - new value

### isIgnoreDupResponses

    public boolean isIgnoreDupResponses()

  Attribute allows to ignore an Ajax Response produced by a request if the newest 'similar' request is in a queue already. ignoreDupResponses="true" does not cancel the request while it is processed on the server, but just allows to avoid unnecessary updates on the client side if the response isn't actual now Getter for ignoreDupResponses

  Returns:
    ignoreDupResponses value from local variable or value bindings

### setImmediate

    public void setImmediate(boolean __immediate)

  A flag indicating that this component value must be converted and validated immediately (that is, during Apply Request Values phase), rather than waiting until a Process Validations phase. Setter for immediate

  Specified by:
    `setImmediate` in class `UISuggestionBox`
  Parameters:
    `immediate` - - new value

### isImmediate

    public boolean isImmediate()

  A flag indicating that this component value must be converted and validated immediately (that is, during Apply Request Values phase), rather than waiting until a Process Validations phase. Getter for immediate

  Specified by:
    `isImmediate` in class `UISuggestionBox`
  Returns:
    immediate value from local variable or value bindings

### setLang

    public void setLang(java.lang.String __lang)

  Code describing the language used in the generated markup for this component Setter for lang

  Parameters:
    `lang` - - new value

### getLang

    public java.lang.String getLang()

  Code describing the language used in the generated markup for this component Getter for lang

  Returns:
    lang value from local variable or value bindings

### setLimitToList

    public void setLimitToList(boolean __limitToList)

  If "true", updates on client side ONLY elements from this 'reRender' property. If "false" (default) updates all rendered by ajax region components Setter for limitToList

  Parameters:
    `limitToList` - - new value

### isLimitToList

    public boolean isLimitToList()

  If "true", updates on client side ONLY elements from this 'reRender' property. If "false" (default) updates all rendered by ajax region components Getter for limitToList

  Returns:
    limitToList value from local variable or value bindings

### setMinChars

    public void setMinChars(java.lang.String __minChars)

  Minimal number of chars in input to activate suggestion pop-up Setter for minChars

  Parameters:
    `minChars` - - new value

### getMinChars

    public java.lang.String getMinChars()

  Minimal number of chars in input to activate suggestion pop-up Getter for minChars

  Returns:
    minChars value from local variable or value bindings

### setNothingLabel

    public void setNothingLabel(java.lang.String __nothingLabel)

  "nothingLabel" is inserted to popup list if the autocomplete returns empty list. It isn't selectable and list is closed as always after click on it and nothing is put to input. Setter for nothingLabel

  Specified by:
    `setNothingLabel` in class `UISuggestionBox`
  Parameters:
    `nothingLabel` - - new value

### getNothingLabel

    public java.lang.String getNothingLabel()

  "nothingLabel" is inserted to popup list if the autocomplete returns empty list. It isn't selectable and list is closed as always after click on it and nothing is put to input. Getter for nothingLabel

  Specified by:
    `getNothingLabel` in class `UISuggestionBox`
  Returns:
    nothingLabel value from local variable or value bindings

### setOnbeforedomupdate

    public void setOnbeforedomupdate(java.lang.String __onbeforedomupdate)

  JavaScript code for call before DOM has been updated on client side Setter for onbeforedomupdate

  Parameters:
    `onbeforedomupdate` - - new value

### getOnbeforedomupdate

    public java.lang.String getOnbeforedomupdate()

  JavaScript code for call before DOM has been updated on client side Getter for onbeforedomupdate

  Returns:
    onbeforedomupdate value from local variable or value bindings

### setOncomplete

    public void setOncomplete(java.lang.String __oncomplete)

  JavaScript code for call after request completed on client side Setter for oncomplete

  Parameters:
    `oncomplete` - - new value

### getOncomplete

    public java.lang.String getOncomplete()

  JavaScript code for call after request completed on client side Getter for oncomplete

  Returns:
    oncomplete value from local variable or value bindings

### setOnselect

    public void setOnselect(java.lang.String __onselect)

  JavaScript code for call on select suggestion, after update value of target element Setter for onselect

  Parameters:
    `onselect` - - new value

### getOnselect

    public java.lang.String getOnselect()

  JavaScript code for call on select suggestion, after update value of target element Getter for onselect

  Returns:
    onselect value from local variable or value bindings

### setOnsubmit

    public void setOnsubmit(java.lang.String __onsubmit)

  JavaScript code for call before submission of ajax event Setter for onsubmit

  Parameters:
    `onsubmit` - - new value

### getOnsubmit

    public java.lang.String getOnsubmit()

  JavaScript code for call before submission of ajax event Getter for onsubmit

  Returns:
    onsubmit value from local variable or value bindings

### setParam

    public void setParam(java.lang.String __param)

  Name the HTTP request parameter with the value of input element token. If not set, it be will sent as an input element name. In this case, input will perform validation and update the value Setter for param

  Parameters:
    `param` - - new value

### getParam

    public java.lang.String getParam()

  Name the HTTP request parameter with the value of input element token. If not set, it be will sent as an input element name. In this case, input will perform validation and update the value Getter for param

  Returns:
    param value from local variable or value bindings

### setPopupClass

    public void setPopupClass(java.lang.String __popupClass)

  HTML CSS class attribute of element for pop-up suggestion content Setter for popupClass

  Parameters:
    `popupClass` - - new value

### getPopupClass

    public java.lang.String getPopupClass()

  HTML CSS class attribute of element for pop-up suggestion content Getter for popupClass

  Returns:
    popupClass value from local variable or value bindings

### setPopupStyle

    public void setPopupStyle(java.lang.String __popupStyle)

  HTML CSS style attribute of element for pop-up suggestion content Setter for popupStyle

  Parameters:
    `popupStyle` - - new value

### getPopupStyle

    public java.lang.String getPopupStyle()

  HTML CSS style attribute of element for pop-up suggestion content Getter for popupStyle

  Returns:
    popupStyle value from local variable or value bindings

### setReRender

    public void setReRender(java.lang.Object __reRender)

  Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component. Can be single id, comma-separated list of Id's, or EL Expression with array or Collection Setter for reRender

  Parameters:
    `reRender` - - new value

### getReRender

    public java.lang.Object getReRender()

  Id['s] (in format of call UIComponent.findComponent()) of components, rendered in case of AjaxRequest caused by this component. Can be single id, comma-separated list of Id's, or EL Expression with array or Collection Getter for reRender

  Returns:
    reRender value from local variable or value bindings

### setRequestDelay

    public void setRequestDelay(int __requestDelay)

  Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send. When the delay time is over, the request will be sent to the server or removed if the newest 'similar' request is in a queue already Setter for requestDelay

  Parameters:
    `requestDelay` - - new value

### getRequestDelay

    public int getRequestDelay()

  Attribute defines the time (in ms.) that the request will be wait in the queue before it is ready to send. When the delay time is over, the request will be sent to the server or removed if the newest 'similar' request is in a queue already Getter for requestDelay

  Returns:
    requestDelay value from local variable or value bindings

### setRowClasses

    public void setRowClasses(java.lang.String __rowClasses)

  A comma-delimited list of CSS style classes that is applied to popup table rows. A space separated list of classes may also be specified for any individual row. The styles are applied, in turn, to each row in the table. For example, if the list has two elements, the first style class in the list is applied to the first row, the second to the second row, the first to the third row, the second to the fourth row, etc. In other words, we keep iterating through the list until we reach the end, and then we start at the beginning again Setter for rowClasses

  Specified by:
    `setRowClasses` in class `UISuggestionBox`
  Parameters:
    `rowClasses` - - new value

### getRowClasses

    public java.lang.String getRowClasses()

  A comma-delimited list of CSS style classes that is applied to popup table rows. A space separated list of classes may also be specified for any individual row. The styles are applied, in turn, to each row in the table. For example, if the list has two elements, the first style class in the list is applied to the first row, the second to the second row, the first to the third row, the second to the fourth row, etc. In other words, we keep iterating through the list until we reach the end, and then we start at the beginning again Getter for rowClasses

  Specified by:
    `getRowClasses` in class `UISuggestionBox`
  Returns:
    rowClasses value from local variable or value bindings

### setRules

    public void setRules(java.lang.String __rules)

  This attribute specifies which rules will appear between cells within a table. The rendering of rules is user agent dependent. Possible values: none: No rules. This is the default value. groups: Rules will appear between row groups (see THEAD, TFOOT, and TBODY) and column groups (see COLGROUP and COL) only. rows: Rules will appear between rows only. cols: Rules will appear between columns only. all: Rules will appear between all rows and columns Setter for rules

  Parameters:
    `rules` - - new value

### getRules

    public java.lang.String getRules()

  This attribute specifies which rules will appear between cells within a table. The rendering of rules is user agent dependent. Possible values: none: No rules. This is the default value. groups: Rules will appear between row groups (see THEAD, TFOOT, and TBODY) and column groups (see COLGROUP and COL) only. rows: Rules will appear between rows only. cols: Rules will appear between columns only. all: Rules will appear between all rows and columns Getter for rules

  Returns:
    rules value from local variable or value bindings

### setSelectValueClass

    public void setSelectValueClass(java.lang.String __selectValueClass)

  Name of the CSS class for a selected suggestion entry element (table cell) Setter for selectValueClass

  Specified by:
    `setSelectValueClass` in class `UISuggestionBox`
  Parameters:
    `selectValueClass` - - new value

### getSelectValueClass

    public java.lang.String getSelectValueClass()

  Name of the CSS class for a selected suggestion entry element (table cell) Getter for selectValueClass

  Specified by:
    `getSelectValueClass` in class `UISuggestionBox`
  Returns:
    selectValueClass value from local variable or value bindings

### setSelectedClass

    public void setSelectedClass(java.lang.String __selectedClass)

  Name of the CSS class for a selected suggestion entry element (table row) Setter for selectedClass

  Parameters:
    `selectedClass` - - new value

### getSelectedClass

    public java.lang.String getSelectedClass()

  Name of the CSS class for a selected suggestion entry element (table row) Getter for selectedClass

  Returns:
    selectedClass value from local variable or value bindings

### setSelfRendered

    public void setSelfRendered(boolean __selfRendered)

  If "true", forces active Ajax region render response directly from stored components tree, bypasses page processing. Can be used for increase performance. Also, must be set to 'true' inside iteration components, such as dataTable. Setter for selfRendered

  Specified by:
    `setSelfRendered` in class `UISuggestionBox`
  Parameters:
    `selfRendered` - - new value

### isSelfRendered

    public boolean isSelfRendered()

  If "true", forces active Ajax region render response directly from stored components tree, bypasses page processing. Can be used for increase performance. Also, must be set to 'true' inside iteration components, such as dataTable. Getter for selfRendered

  Specified by:
    `isSelfRendered` in class `UISuggestionBox`
  Returns:
    selfRendered value from local variable or value bindings

### setShadowDepth

    public void setShadowDepth(java.lang.String __shadowDepth)

  Pop-up shadow depth for suggestion content Setter for shadowDepth

  Parameters:
    `shadowDepth` - - new value

### getShadowDepth

    public java.lang.String getShadowDepth()

  Pop-up shadow depth for suggestion content Getter for shadowDepth

  Returns:
    shadowDepth value from local variable or value bindings

### setShadowOpacity

    public void setShadowOpacity(java.lang.String __shadowOpacity)

  Attribute defines shadow opacity for suggestion content Setter for shadowOpacity

  Parameters:
    `shadowOpacity` - - new value

### getShadowOpacity

    public java.lang.String getShadowOpacity()

  Attribute defines shadow opacity for suggestion content Getter for shadowOpacity

  Returns:
    shadowOpacity value from local variable or value bindings

### setStatus

    public void setStatus(java.lang.String __status)

  ID (in format of call UIComponent.findComponent()) of Request status component Setter for status

  Parameters:
    `status` - - new value

### getStatus

    public java.lang.String getStatus()

  ID (in format of call UIComponent.findComponent()) of Request status component Getter for status

  Returns:
    status value from local variable or value bindings

### setStyle

    public void setStyle(java.lang.String __style)

  CSS style(s) is/are to be applied when this component is rendered Setter for style

  Parameters:
    `style` - - new value

### getStyle

    public java.lang.String getStyle()

  CSS style(s) is/are to be applied when this component is rendered Getter for style

  Returns:
    style value from local variable or value bindings

### setStyleClass

    public void setStyleClass(java.lang.String __styleClass)

  Corresponds to the HTML class attribute Setter for styleClass

  Parameters:
    `styleClass` - - new value

### getStyleClass

    public java.lang.String getStyleClass()

  Corresponds to the HTML class attribute Getter for styleClass

  Returns:
    styleClass value from local variable or value bindings

### setSubmitedValue

    public void setSubmitedValue(java.lang.Object __submitedValue)

  submitedValue Setter for submitedValue

  Specified by:
    `setSubmitedValue` in class `UISuggestionBox`
  Parameters:
    `submitedValue` - - new value

### getSubmitedValue

    public java.lang.Object getSubmitedValue()

  submitedValue Getter for submitedValue

  Specified by:
    `getSubmitedValue` in class `UISuggestionBox`
  Returns:
    submitedValue value from local variable or value bindings

### setSuggestionAction

    public void setSuggestionAction(javax.faces.el.MethodBinding __suggestionAction)

  Method calls an expression to get a collection of suggestion data on request. It must have one parameter with a type of Object with content of input component and must return any type allowed for &lt;h:datatable&gt; Setter for suggestionAction

  Specified by:
    `setSuggestionAction` in class `UISuggestionBox`
  Parameters:
    `suggestionAction` - - new value

### getSuggestionAction

    public javax.faces.el.MethodBinding getSuggestionAction()

  Method calls an expression to get a collection of suggestion data on request. It must have one parameter with a type of Object with content of input component and must return any type allowed for &lt;h:datatable&gt; Getter for suggestionAction

  Specified by:
    `getSuggestionAction` in class `UISuggestionBox`
  Returns:
    suggestionAction value from local variable or value bindings

### setSummary

    public void setSummary(java.lang.String __summary)

  This attribute provides a summary of the table's purpose and structure for user agents rendering to non-visual media such as speech and Braille Setter for summary

  Parameters:
    `summary` - - new value

### getSummary

    public java.lang.String getSummary()

  This attribute provides a summary of the table's purpose and structure for user agents rendering to non-visual media such as speech and Braille Getter for summary

  Returns:
    summary value from local variable or value bindings

### setTimeout

    public void setTimeout(int __timeout)

  Response waiting time on a particular request. If a response is not received during this time, the request is aborted Setter for timeout

  Parameters:
    `timeout` - - new value

### getTimeout

    public int getTimeout()

  Response waiting time on a particular request. If a response is not received during this time, the request is aborted Getter for timeout

  Returns:
    timeout value from local variable or value bindings

### setTitle

    public void setTitle(java.lang.String __title)

  Advisory title information about markup elements generated for this component Setter for title

  Parameters:
    `title` - - new value

### getTitle

    public java.lang.String getTitle()

  Advisory title information about markup elements generated for this component Getter for title

  Returns:
    title value from local variable or value bindings

### setTokens

    public void setTokens(java.lang.Object __tokens)

  The list (or single value) of symbols which can be used for division chosen of suggestion pop-up values in a target element. After input of a symbol from the list suggestion pop-up it is caused again Setter for tokens

  Parameters:
    `tokens` - - new value

### getTokens

    public java.lang.Object getTokens()

  The list (or single value) of symbols which can be used for division chosen of suggestion pop-up values in a target element. After input of a symbol from the list suggestion pop-up it is caused again Getter for tokens

  Returns:
    tokens value from local variable or value bindings

### setWidth

    public void setWidth(java.lang.String __width)

  Width of the pop-up window in pixels Setter for width

  Parameters:
    `width` - - new value

### getWidth

    public java.lang.String getWidth()

  Width of the pop-up window in pixels Getter for width

  Returns:
    width value from local variable or value bindings

### setZindex

    public void setZindex(int __zindex)

  Attribute is similar to the standard HTML attribute and can specify window placement relative to the content Setter for zindex

  Specified by:
    `setZindex` in class `UISuggestionBox`
  Parameters:
    `zindex` - - new value

### getZindex

    public int getZindex()

  Attribute is similar to the standard HTML attribute and can specify window placement relative to the content Getter for zindex

  Specified by:
    `getZindex` in class `UISuggestionBox`
  Returns:
    zindex value from local variable or value bindings

### getFamily

    public java.lang.String getFamily()

  Overrides:
    `getFamily` in class `javax.faces.component.UIData`

### saveState

    public java.lang.Object saveState(javax.faces.context.FacesContext context)

  Specified by:
    `saveState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `saveState` in class `javax.faces.component.UIData`

### restoreState

    public void restoreState(javax.faces.context.FacesContext context,
                             java.lang.Object state)

  Specified by:
    `restoreState` in interface `javax.faces.component.StateHolder`
  Overrides:
    `restoreState` in class `javax.faces.component.UIData`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008. All Rights Reserved.